General TODO for multi-dataset integration before merge to master
Open, Needs TriagePublic

Description

https://phabricator.kde.org/M146

This is the list of all the things that should be done on the multi-dataset branch before merging it to master.

  • For all activities with dataset, by default have ALL datasets activated.

This is needed to make it optional for users to have to go and select datasets.
Fixed in commit afff20d1d0b0404a603a8d0aa5cfa36e96b174ef

  • In the menu activity list, on each activity, show the Difficulty level (stars) of the lowest and highest difficulty dataset activated.

This means, if lowest/highest are different, showing two icons instead of one as we do currently, with a separator inbetween, but that should fit easily.
If lowest/highest are the same, show only one icon.
Done in commit 0bf05bb9d7376e31a88fefb74dbb147c412eb4c0

  • Link the Difficulty filter in main settings page to dataset selection

This means, when changing the min/max Difficulty filter and closing the main settings page:

-activate all the datasets in the selected range for each activity with datasets
-update the stars icons on the activity entries in the menu accordingly
-filter the activities not in the selected range, and grey them out;  when clicking on them, show a pop-up notification that a Difficulty filter is active
-grey out the filtered datasets to prevent them from being selected, and when clicking on them display a notification that a Difficulty filter is active

Commits d29d5f21909ecfe2a7a88839824107fa1ce53406 and 505fc7483922f6e298752a6048fc9084d77729f2

  • Port all the activities with options but no datasets to use the new Settings button instead of the old options button.

T12915

Fix the various new bug/issues, like:

  • --When Activity Settings page is opened, and resizing the window, in some case the application goes all white and all broken... --

Fixed in commit fe275ad22ec74518d74d32cbbd2173dabb847007

  • --the overlapping options in Simple letters settings (only when accessed from the menu) and in Numbers with dominoes settings (both from the menu and from the activity)--

Fixed in commit 24b22f1dff5951b1ba759b6a6f978a6e716d5eac and 1873c5b0865a1dcc927bad34249d0838ce1a3d32

  • --remove configuration file, if you run an activity with config and combobox, it's not filled with a default value (for example, traffic has an empty box)--

Fixed in commit 58c7555c4dd68d5ea9cf01c3b05252d1024c800b

  • --when changing some options from the Options part of the Activity Settings pages, those options are not applied directly after clicking "Save" or "Save and start" (instead, it keeps using the last options that were there when opening the Settings page... so any option change needs to open the Settings page a second time to be applied).--

Fixed in commit 3b7a4b1b3dfea3565e8bcc10f8db8fcef5cf5c49 ; note: in Activities DialogChooseLevel, in onStartActivity, we need both background.stop() and background.start() , and in onSaveActivity we don't need anymore the background.stop() and background.start() .

  • in the Activity Settings pages, scroll-to-top the main area when clicking on Dataset or Options (for examble, in algebra activities, the list of dataset is very long; if it's scrolled down, when switching to Options part it is still scrolled down and options are not visible directly... The opposite could happen too in other activities, so make sure to do it for both case).

Fixed in commit 65de635b13548367eb551133adbbdae1f01b3a4f

  • When changing Dataset selection and clicking on Cancel, the selection doesn't reset to previous state in the dialog.

Fixed in commit dd3bee2c4d20763f63f0b47fb41e97cb8de4206f

  • --in Gletters Activity Settings, if changing Speed value and clicking Cancel, it doesn't reset to previous state in the dialog (but all other options do it properly).--

Fixed in commit c10b3e0ef4f9cce4b315f6dbd18a9242207e61a0

timotheegiet updated the task description. (Show Details)Feb 1 2020, 3:22 PM
timotheegiet updated the task description. (Show Details)
timotheegiet updated the task description. (Show Details)
jjazeix updated the task description. (Show Details)Feb 2 2020, 12:21 PM

And maybe also, grey-out the filtered datasets to prevent them from being selected, and display a notification that a Difficulty filter is active (but that point is optional/to discuss).

I am stongly in favour of this feature as it shows the activity full possibilities and allows the pupil or teacher to think the next move, but still giving a "frame" of progress that must be achieved to reach the next level.

timotheegiet updated the task description. (Show Details)Feb 6 2020, 11:30 PM
timotheegiet updated the task description. (Show Details)Feb 10 2020, 3:26 PM
timotheegiet updated the task description. (Show Details)
timotheegiet updated the task description. (Show Details)Feb 10 2020, 3:49 PM
timotheegiet updated the task description. (Show Details)Feb 13 2020, 3:46 PM
timotheegiet updated the task description. (Show Details)Feb 13 2020, 3:48 PM
timotheegiet updated the task description. (Show Details)Feb 13 2020, 4:18 PM
timotheegiet updated the task description. (Show Details)Feb 13 2020, 5:23 PM
jjazeix updated the task description. (Show Details)Feb 22 2020, 10:31 AM
jjazeix updated the task description. (Show Details)Feb 22 2020, 10:34 AM
jjazeix updated the task description. (Show Details)Feb 22 2020, 3:33 PM
jjazeix updated the task description. (Show Details)Feb 23 2020, 4:22 PM
jjazeix updated the task description. (Show Details)Feb 23 2020, 4:47 PM
jjazeix updated the task description. (Show Details)
timotheegiet updated the task description. (Show Details)Feb 28 2020, 2:44 PM
timotheegiet updated the task description. (Show Details)Feb 29 2020, 8:02 PM
timotheegiet updated the task description. (Show Details)
timotheegiet updated the task description. (Show Details)Feb 29 2020, 9:39 PM
jjazeix updated the task description. (Show Details)Fri, Apr 3, 2:44 PM